Bug 879065

Summary: [jboss-as5] Shutdown max wait time "shared" between different resources
Product: [Other] RHQ Project Reporter: Larry O'Leary <loleary>
Component: PluginsAssignee: Thomas Segismont <tsegismo>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: high Docs Contact:
Priority: unspecified    
Version: 4.5CC: hrupp, lkrejci, loleary, tsegismo
Target Milestone: ---   
Target Release: RHQ 4.9   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 846362 Environment:
Last Closed: 2014-03-26 04:31:13 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 846362    

Description Larry O'Leary 2012-11-21 19:12:44 EST
+++ This bug was initially created as a clone of Bug #846362 +++

Created attachment 602782 [details]
proposed patch

Description of problem:
This is a concurrency issue.

The problem is that while a shutdown operation on some AS5 resource is in progress, executing the shutdown operation on another AS5 resource on the same agent will override the max wait time of the two operations to the same value defined by the latter resource.

Version-Release number of selected component (if applicable):
4.5.0-SNAPSHOT

How reproducible:
always

Steps to Reproduce:
1. have 2 AS5 resources in inventory, make sure their shutdown takes more than 1 minute (not sure how to do this actually - possibly install a custom MBean that implements MBeanRegistration interface and sleep in preDeregister()?)
2. set the max wait time of 1 to 15 minutes, and 1minute on the other (2).
3. run shutdown on 1.
4. immediatelly run shutdown on 2
  
Actual results:
The operation on the server 1 times out after 1 minute

Expected results:
The operation on the server 1 should only timeout after 15 minutes or complete normally.

Additional info:

--- Additional comment from mark yarborough on 2012-11-20 15:45:46 EST ---

Per triage with loleary, crouch, mfoley: Move to JBoss ON product, set target release JON 3.2, clear priority (will be subject to further triage in JON 3.2 timeframe).
Comment 1 Thomas Segismont 2013-08-14 09:21:28 EDT
*** Bug 879066 has been marked as a duplicate of this bug. ***
Comment 2 Thomas Segismont 2013-08-14 10:54:10 EDT
Fixed in master (see BZ846362)

commit 2a21d7b3a9a97248df2ab6d9d83804663c55972b
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Wed Aug 14 16:51:00 2013 +0200
Comment 3 Heiko W. Rupp 2014-03-26 04:31:13 EDT
Bulk closing now that 4.10 is out.

If you think an issue is not resolved, please open a new BZ and link to the existing one.